petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCJacobiSetUseAbs

Causes the Jacobi preconditioner to use the absolute values of the digonal divisors in the preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCJacobiSetUseAbs(PC pc,PetscBool flg)

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| flg | - whether to use absolute values or not Many br

### Options Database Key

-pc_jacobi_abs - Many brNotes: This takes affect at the next construction of the preconditioner Many br

Many br

### See Also

PCJacobiaSetType(), PCJacobiGetUseAbs()

Level:intermediate
Location:src/ksp/pc/impls/jacobi/jacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages